Skip to navigation

Get a tariff

One tariff in OCPI 2.2.1 shape, addressed by the CPO's country code and party id.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tariff_idstringRequired1-36 characters
OCPI tariff id.

Query parameters

country_codestringRequiredformat: "^[A-Z]{2}$"
The CPO's OCPI country code, e.g. NL.
party_idstringRequiredformat: "^[A-Z0-9]{3}$"
The CPO's OCPI party id, e.g. ABC.

Response

The tariff in OCPI 2.2.1 shape.
country_codestring
party_idstring
idstring
currencystring
last_updateddatetime
typestring or nullOptional
tariff_alt_textlist of objects or nullOptional
tariff_alt_urlstring or nullOptional
min_priceobject or nullOptional
max_priceobject or nullOptional
elementslist of objects or nullOptional
start_date_timedatetime or nullOptional
end_date_timedatetime or nullOptional
energy_mixmap from strings to any or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error